<?php
/**
 * Download Test PKPass File
 * 
 * This file handles the downloading of a test PKPass file.
 */

// Set the test pass path
$passFilePath = __DIR__ . '/../temp/test.pkpass';

// Check if file exists
if (!file_exists($passFilePath)) {
    die("Error: Test pass file not found. Please run the test script first.");
}

// Set headers for pkpass download
header('Content-Type: application/vnd.apple.pkpass');
header('Content-Disposition: attachment; filename="test.pkpass"');
header('Content-Description: File Transfer');
header('Content-Transfer-Encoding: binary');
header('Expires: 0');
header('Cache-Control: must-revalidate, post-check=0, pre-check=0');
header('Pragma: public');
header('Content-Length: ' . filesize($passFilePath));

// Output the file
readfile($passFilePath);
exit;
?> 