<?php
// Base configuration for the Pointify
$config = [
    // Base URL - change this based on your environment
    'base_url' => 'http://localhost/erp/',
    
    // Database configuration
    'db' => [
        'host' => 'localhost',
        'username' => 'root',
        'password' => '',
        'database' => 'loyalty_card_system'
    ],
    
    // Email configuration for OTP
    'email' => [
        'from' => 'test@trimscloud.com',
        'name' => 'Pointify',
        'smtp' => [
            'host' => 'mail.trimscloud.com',
            'port' => 465,
            'username' => 'test@trimscloud.com',
            'password' => 'Pakistan@1234x',
            'secure' => 'ssl' // Use 'tls' for port 587, 'ssl' for port 465
        ]
    ],
    
    // OTP configuration
    'otp' => [
        'length' => 6,
        'expiry' => 15 // minutes
    ],
    
    // Add this to your config file
    'join_url_base' => "http://localhost/erp/customer/register.php?location="
];

// Define constants - only if not already defined
if (!defined('BASE_URL')) define('BASE_URL', $config['base_url']);
if (!defined('ADMIN_URL')) define('ADMIN_URL', BASE_URL . 'admin/');
if (!defined('CUSTOMER_URL')) define('CUSTOMER_URL', BASE_URL . 'customer/');
if (!defined('ASSETS_URL')) define('ASSETS_URL', BASE_URL . 'assets/');
?>