CREATE TABLE IF NOT EXISTS pass_registrations (
    id INT(11) UNSIGNED NOT NULL AUTO_INCREMENT,
    device_library_identifier VARCHAR(64) NOT NULL,
    pass_type_identifier VARCHAR(64) NOT NULL,
    pass_type_id VARCHAR(64) NOT NULL,
    serial_number VARCHAR(64) NOT NULL,
    push_token VARCHAR(255) NOT NULL,
    created_at TIMESTAMP NOT NULL DEFAULT CURRENT_TIMESTAMP,
    updated_at TIMESTAMP NOT NULL DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP,
    PRIMARY KEY (id),
    UNIQUE KEY device_pass (device_library_identifier, pass_type_identifier, serial_number)
); 